From 815bcb766bd93e126ad72aa052bb8cfddd45606e Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Fri, 24 Apr 2015 23:18:57 -0400
Subject: [PATCH] books/bookvol5 add )license command

Show the current set of licenses.
---
 books/bookvol5.pamphlet |   62 ++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 61 insertions(+), 1 deletions(-)

diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 0123922..d4b0941 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -26533,6 +26533,7 @@ See:\\
 \item The \fnref{history} command
 \item The \fnref{lisp} command
 \item The \fnref{library} command
+\item The \fnref{license} command
 \item The \fnref{load} command
 \item The \fnref{ltrace} command
 \item The \fnref{pquit} command
@@ -26584,6 +26585,7 @@ See:\\
    (|history|                        . |interpreter|)
    (|lisp|                           . |development|)
    (|library|                        . |interpreter|)
+   (|license|                        . |interpreter|)
    (|load|                           . |interpreter|)
    (|ltrace|                         . |interpreter|)
    (|pquit|                          . |interpreter|)
@@ -26633,7 +26635,7 @@ all kinds of input that will not be acceptable to the interpreter.
 \begin{chunk}{postvars}
 (eval-when (eval load)
  (setq |$noParseCommands|
- '(|boot| |copyright| |credits| |fin| |lisp| |pquit| |quit| 
+ '(|boot| |copyright| |credits| |fin| |license| |lisp| |pquit| |quit| 
    |synonym| |system| |trademark| )))
 
 \end{chunk}
@@ -32647,6 +32649,39 @@ o )set
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\cmdhead{license}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\begin{chunk}{license.help}
+====================================================================
+A.15.  )license
+====================================================================
+ 
+Command Syntax: 
+ 
+  -  )license
+ 
+Command Description: 
+ 
+This command displays the Axiom license.
+ 
+Also See: 
+o )trademark
+ 
+\end{chunk} 
+
+\defun{license}{license}
+\calls{license}{obey}
+\calls{license}{concat}
+\calls{license}{getenviron}
+\begin{chunk}{defun license}
+(defun |license| (l)
+ (declare (ignore l))
+ (obey (concat "cat " (getenviron "AXIOM") "/doc/spadhelp/copyright.help")))
+
+\end{chunk}
+
+\newpage
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{lisp}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{lisp.help}
@@ -39534,6 +39569,7 @@ o )cd
  )history      : manage aspects of interactive session
  )include      : insert a file into a .input file
  )library      : introduce new constructors 
+ )license      : display the Axiom license file
  )lisp         : evaluate a LISP expression
  )ltrace       : trace functions
  )pquit        : ask if you really want to exit Axiom
@@ -39548,10 +39584,12 @@ o )cd
  )system       : issue shell commands
  )tangle       : extract chunks from a literate program to an input file
  )trace        : trace execution of functions
+ )trademark    : declare that Axiom is a trademark of this software effort
  )undo         : restore workspace to earlier state
  )what         : search for various things by name
 
 \end{chunk}
+
 \defun{summary}{summary}
 \calls{summary}{obey}
 \calls{summary}{concat}
@@ -39838,6 +39876,27 @@ matrix.input. The ``.input.pamphlet'' is optional.
 
 \end{chunk}
 
+\newpage
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\cmdhead{trademark}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\begin{chunk}{trademark.help}
+====================================================================
+A.15.  )trademark
+====================================================================
+ 
+Command Syntax: 
+ 
+  -  )trademark
+ 
+Command Description: 
+ 
+This command displays the Axiom trademark information.
+ 
+Also See: 
+o )license
+ 
+\end{chunk} 
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -60853,6 +60912,7 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun lfkey}
 \getchunk{defun libConstructorSig}
 \getchunk{defun library}
+\getchunk{defun license}
 \getchunk{defun linearFinalRequest}
 \getchunk{defun lineoftoks}
 \getchunk{defun linkGen}
-- 
1.7.5.4

